Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(27)

Issue 146773002: [CSS Grid Layout] Rename grid-definition-{columns|rows} to match the new syntax (Closed)

Created:
6 years, 1 month ago by jfernandez
Modified:
6 years ago
CC:
blink-reviews, eae+blinkwatch, apavlov+blink_chromium.org, aandrey+blink_chromium.org, caseq+blink_chromium.org, chromiumbugtracker_adobe.com, bemjb+rendering_chromium.org, dsinclair, yurys+blink_chromium.org, dglazkov+blink, jchaffraix+rendering, devtools-reviews_chromium.org, loislo+blink_chromium.org, zoltan1, lushnikov+blink_chromium.org, eustas+blink_chromium.org, paulirish+reviews_chromium.org, darktears, alph+blink_chromium.org, leviw+renderwatch, vsevik+blink_chromium.org, pfeldman+blink_chromium.org, ed+blinkwatch_opera.com, Manuel Rego, svillar
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

In the latest WD, grid-definition-{columns|rows} were renamed to grid-template-{columns|rows}. BUG=337626 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=166143

Patch Set 1 #

Patch Set 2 : Additional renaming of some symbols. #

Patch Set 3 : Fixed renaming issues with some tests. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1623 lines, -1623 lines) Patch
M LayoutTests/fast/css-grid-layout/auto-content-resolution-columns.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/auto-content-resolution-rows.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/breadth-size-resolution-grid.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/calc-resolution-grid-item.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/flex-and-minmax-content-resolution-columns.html View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/flex-and-minmax-content-resolution-rows.html View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/flex-content-resolution-columns.html View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/flex-content-resolution-rows.html View 1 chunk +8 lines, -8 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-auto-columns-rows-auto-flow-resolution.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-auto-columns-rows-resolution.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-auto-columns-rows-update.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-auto-flow-resolution.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-auto-flow-update.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-columns-rows-get-set.html View 1 chunk +32 lines, -32 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-columns-rows-get-set-expected.txt View 1 chunk +170 lines, -170 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-columns-rows-get-set-multiple.html View 1 chunk +36 lines, -36 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-columns-rows-get-set-multiple-expected.txt View 1 chunk +113 lines, -113 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-container-change-explicit-grid-recompute-child.html View 1 chunk +3 lines, -3 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-container-change-named-grid-lines-recompute-child.html View 1 chunk +3 lines, -3 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-dynamic-updates-relayout.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-border-grid-item.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-border-padding-grid-item.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-change-columns-repaint.html View 2 chunks +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-change-columns-repaint-expected.txt View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-change-rows-repaint.html View 2 chunks +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-change-rows-repaint-expected.txt View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-empty-row-column.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-min-max-height.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-min-max-width.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-padding-grid-item.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-padding-margin.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-repeat-get-set.html View 3 chunks +22 lines, -22 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-element-repeat-get-set-expected.txt View 1 chunk +31 lines, -31 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-addition-auto-placement-update.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-addition-track-breadth-update.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-bad-named-area-auto-placement.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-bad-resolution-double-span.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-change-column-repaint.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-change-order-auto-flow.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-change-row-repaint.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-display.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-margin-resolution.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-multiple-minmax-content-resolution.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-named-grid-area-resolution.html View 1 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-named-grid-line-resolution.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-negative-integer-explicit-grid-resolution.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-negative-position-resolution.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-order-auto-flow-resolution.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-order-paint-order.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-position-changed-dynamic.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-removal-auto-placement-update.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-removal-track-breadth-update.html View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-spanning-resolution.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-with-percent-height-in-auto-height-grid-resolution.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-with-percent-min-max-height-dynamic.html View 2 chunks +3 lines, -3 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-z-index-stacking-context.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-z-index-stacking-context-expected.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-preferred-logical-widths.html View 1 chunk +12 lines, -12 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/implicit-columns-auto-resolution.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/implicit-position-dynamic-change.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/implicit-rows-auto-resolution.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/justify-self-cell.html View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/minmax-fixed-logical-height-only.html View 1 chunk +12 lines, -12 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/minmax-fixed-logical-width-only.html View 1 chunk +12 lines, -12 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/minmax-max-content-resolution-columns.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/minmax-max-content-resolution-rows.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/minmax-min-content-column-resolution-columns.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/minmax-min-content-column-resolution-rows.html View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/minmax-spanning-resolution-columns.html View 1 chunk +8 lines, -8 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/minmax-spanning-resolution-rows.html View 1 chunk +8 lines, -8 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/named-grid-line-get-set.html View 5 chunks +31 lines, -31 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/named-grid-line-get-set-expected.txt View 1 chunk +101 lines, -101 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/non-grid-columns-rows-get-set.html View 1 chunk +32 lines, -32 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/non-grid-columns-rows-get-set-expected.txt View 1 chunk +137 lines, -137 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/non-grid-columns-rows-get-set-multiple.html View 1 chunk +36 lines, -36 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/non-grid-columns-rows-get-set-multiple-expected.txt View 1 chunk +97 lines, -97 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/non-grid-element-repeat-get-set.html View 3 chunks +22 lines, -22 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/non-grid-element-repeat-get-set-expected.txt View 1 chunk +27 lines, -27 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/non-named-grid-line-get-set.html View 4 chunks +28 lines, -28 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/non-named-grid-line-get-set-expected.txt View 1 chunk +72 lines, -72 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/percent-grid-item-in-percent-grid-track.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/percent-grid-item-in-percent-grid-track-in-percent-grid.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/percent-grid-item-in-percent-grid-track-update.html View 2 chunks +6 lines, -6 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/percent-padding-margin-resolution-grid-item.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/percent-padding-margin-resolution-grid-item-update.html View 2 chunks +4 lines, -4 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/percent-resolution-grid-item.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/place-cell-by-index.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/resources/grid-columns-rows-get-set.js View 8 chunks +26 lines, -26 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/resources/grid-columns-rows-get-set-multiple.js View 5 chunks +21 lines, -21 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/resources/grid-definitions-parsing-utils.js View 3 chunks +11 lines, -11 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/resources/non-grid-columns-rows-get-set.js View 7 chunks +25 lines, -25 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/resources/non-grid-columns-rows-get-set-multiple.js View 4 chunks +21 lines, -21 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/scrolled-grid-painting.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/scrolled-grid-painting-overflow.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/fast/regions/shape-inside/shape-inside-recursive-layout.html View 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/display-grid-001.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/display-grid-001-expected.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/display-grid-002.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/display-grid-002-expected.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-column-002.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-column-002-expected.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-column-003.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-column-003-expected.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-columns-001.htm View 2 chunks +11 lines, -11 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-columns-001-expected.htm View 2 chunks +11 lines, -11 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-items-001.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-items-001-expected.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-items-002.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-items-002-expected.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-items-003.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-items-003-expected.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-items-004.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-items-004-expected.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-items-005.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/ietestcenter/css3/grid/grid-items-005-expected.htm View 1 chunk +10 lines, -10 lines 0 comments Download
M LayoutTests/virtual/stable/webexposed/nonstable-css-properties-expected.txt View 1 1 chunk +6 lines, -6 lines 0 comments Download
M LayoutTests/webexposed/css-properties-as-js-properties-expected.txt View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/webexposed/nonstable-css-properties.html View 1 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/webexposed/nonstable-css-properties-expected.txt View 1 1 chunk +6 lines, -6 lines 0 comments Download
M PerformanceTests/Layout/auto-grid-lots-of-data.html View 1 chunk +2 lines, -2 lines 0 comments Download
M PerformanceTests/Layout/fixed-grid-lots-of-data.html View 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/css/CSSComputedStyleDeclaration.cpp View 1 4 chunks +7 lines, -7 lines 0 comments Download
M Source/core/css/CSSProperty.cpp View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/css/CSSPropertyNames.in View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/css/RuntimeCSSEnabled.cpp View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/css/parser/BisonCSSParser-in.cpp View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/css/resolver/StyleBuilderCustom.cpp View 1 2 3 chunks +8 lines, -8 lines 0 comments Download
M Source/core/frame/UseCounter.cpp View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/rendering/RenderGrid.cpp View 1 2 4 chunks +7 lines, -7 lines 0 comments Download
M Source/core/rendering/style/RenderStyle.h View 1 2 3 chunks +6 lines, -6 lines 0 comments Download
M Source/core/rendering/style/StyleGridData.h View 2 chunks +3 lines, -3 lines 0 comments Download
M Source/core/rendering/style/StyleGridData.cpp View 1 2 chunks +4 lines, -4 lines 0 comments Download
M Source/devtools/front_end/CSSMetadata.js View 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 15 (0 generated)
jfernandez
6 years, 1 month ago (2014-01-24 13:38:50 UTC) #1
Julien - ping for review
lgtm
6 years ago (2014-01-24 20:07:03 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jfernandez@igalia.com/146773002/1
6 years ago (2014-01-24 20:07:09 UTC) #3
Julien - ping for review
Source/devtools/OWNERS, your rubber-stamping power is required!
6 years ago (2014-01-24 20:08:18 UTC) #4
jfernandez
Changed also some additional symbols in the StyleBuilder.
6 years ago (2014-01-28 10:38:06 UTC) #5
vsevik
rslgtm
6 years ago (2014-01-29 07:56:07 UTC) #6
jfernandez
Hi Julien, I had to post a new patchset because of some symbols I forgot ...
6 years ago (2014-01-29 08:36:19 UTC) #7
Julien - ping for review
lgtm, I don't need to see any updated patch. Let's improve your change description before ...
6 years ago (2014-01-29 22:18:34 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jfernandez@igalia.com/146773002/80001
6 years ago (2014-01-30 10:46:07 UTC) #9
commit-bot: I haz the power
Retried try job too often on linux_blink_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_blink_rel&number=19569
6 years ago (2014-01-30 12:38:19 UTC) #10
commit-bot: I haz the power
CQ bit was unchecked on CL. Ignoring.
6 years ago (2014-01-30 12:38:41 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jfernandez@igalia.com/146773002/100001
6 years ago (2014-01-30 14:30:06 UTC) #12
commit-bot: I haz the power
Change committed as 166143
6 years ago (2014-01-30 18:09:10 UTC) #13
commit-bot: I haz the power
CQ bit was unchecked on CL. Ignoring.
6 years ago (2014-01-30 18:09:11 UTC) #14
commit-bot: I haz the power
6 years ago (2014-01-30 18:09:14 UTC) #15
Message was sent while issue was closed.
CQ bit was unchecked on CL. Ignoring.

Powered by Google App Engine
This is Rietveld 408576698